# This file was automatically created by FeynRules 1.6.14
# Mathematica version: 9.0 for Mac OS X x86 (64-bit) (January 24, 2013)
# Date: Tue 18 Jun 2013 11:24:07



from object_library import all_parameters, Parameter


from function_library import complexconjugate, re, im, csc, sec, acsc, asec

# This is a default parameter object representing 0.
ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')

# User-defined parameters.
cabi = Parameter(name = 'cabi',
                 nature = 'external',
                 type = 'real',
                 value = 0.227736,
                 texname = '\\theta _c',
                 lhablock = 'CKMBLOCK',
                 lhacode = [ 1 ])

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.9,
                  texname = '\\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

Gf = Parameter(name = 'Gf',
               nature = 'external',
               type = 'real',
               value = 0.0000116637,
               texname = 'G_f',
               lhablock = 'SMINPUTS',
               lhacode = [ 2 ])

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.1184,
               texname = '\\alpha _s',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])

ymdo = Parameter(name = 'ymdo',
                 nature = 'external',
                 type = 'real',
                 value = 0.00504,
                 texname = '\\text{ymdo}',
                 lhablock = 'YUKAWA',
                 lhacode = [ 1 ])

ymup = Parameter(name = 'ymup',
                 nature = 'external',
                 type = 'real',
                 value = 0.00255,
                 texname = '\\text{ymup}',
                 lhablock = 'YUKAWA',
                 lhacode = [ 2 ])

yms = Parameter(name = 'yms',
                nature = 'external',
                type = 'real',
                value = 0.101,
                texname = '\\text{yms}',
                lhablock = 'YUKAWA',
                lhacode = [ 3 ])

ymc = Parameter(name = 'ymc',
                nature = 'external',
                type = 'real',
                value = 1.27,
                texname = '\\text{ymc}',
                lhablock = 'YUKAWA',
                lhacode = [ 4 ])

ymb = Parameter(name = 'ymb',
                nature = 'external',
                type = 'real',
                value = 4.7,
                texname = '\\text{ymb}',
                lhablock = 'YUKAWA',
                lhacode = [ 5 ])

ymt = Parameter(name = 'ymt',
                nature = 'external',
                type = 'real',
                value = 172,
                texname = '\\text{ymt}',
                lhablock = 'YUKAWA',
                lhacode = [ 6 ])

yme = Parameter(name = 'yme',
                nature = 'external',
                type = 'real',
                value = 0.000511,
                texname = '\\text{yme}',
                lhablock = 'YUKAWA',
                lhacode = [ 11 ])

ymm = Parameter(name = 'ymm',
                nature = 'external',
                type = 'real',
                value = 0.10566,
                texname = '\\text{ymm}',
                lhablock = 'YUKAWA',
                lhacode = [ 13 ])

ymtau = Parameter(name = 'ymtau',
                  nature = 'external',
                  type = 'real',
                  value = 1.777,
                  texname = '\\text{ymtau}',
                  lhablock = 'YUKAWA',
                  lhacode = [ 15 ])

Gtheta = Parameter(name = 'Gtheta',
                   nature = 'external',
                   type = 'real',
                   value = 0.1,
                   texname = '\\text{Gtheta}',
                   lhablock = 'FRBlock',
                   lhacode = [ 1 ])

XLuhl11 = Parameter(name = 'XLuhl11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhl11}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 1, 1 ])

XLuhl12 = Parameter(name = 'XLuhl12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl12}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 1, 2 ])

XLuhl13 = Parameter(name = 'XLuhl13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl13}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 1, 3 ])

XLuhl21 = Parameter(name = 'XLuhl21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl21}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 2, 1 ])

XLuhl22 = Parameter(name = 'XLuhl22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhl22}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 2, 2 ])

XLuhl23 = Parameter(name = 'XLuhl23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl23}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 2, 3 ])

XLuhl31 = Parameter(name = 'XLuhl31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl31}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 3, 1 ])

XLuhl32 = Parameter(name = 'XLuhl32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhl32}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 3, 2 ])

XLuhl33 = Parameter(name = 'XLuhl33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhl33}',
                    lhablock = 'FRBlock10',
                    lhacode = [ 3, 3 ])

XLdhl11 = Parameter(name = 'XLdhl11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhl11}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 1, 1 ])

XLdhl12 = Parameter(name = 'XLdhl12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl12}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 1, 2 ])

XLdhl13 = Parameter(name = 'XLdhl13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl13}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 1, 3 ])

XLdhl21 = Parameter(name = 'XLdhl21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl21}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 2, 1 ])

XLdhl22 = Parameter(name = 'XLdhl22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhl22}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 2, 2 ])

XLdhl23 = Parameter(name = 'XLdhl23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl23}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 2, 3 ])

XLdhl31 = Parameter(name = 'XLdhl31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl31}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 3, 1 ])

XLdhl32 = Parameter(name = 'XLdhl32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhl32}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 3, 2 ])

XLdhl33 = Parameter(name = 'XLdhl33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhl33}',
                    lhablock = 'FRBlock11',
                    lhacode = [ 3, 3 ])

XRuhl11 = Parameter(name = 'XRuhl11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhl11}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 1, 1 ])

XRuhl12 = Parameter(name = 'XRuhl12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl12}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 1, 2 ])

XRuhl13 = Parameter(name = 'XRuhl13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl13}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 1, 3 ])

XRuhl21 = Parameter(name = 'XRuhl21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl21}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 2, 1 ])

XRuhl22 = Parameter(name = 'XRuhl22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhl22}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 2, 2 ])

XRuhl23 = Parameter(name = 'XRuhl23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl23}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 2, 3 ])

XRuhl31 = Parameter(name = 'XRuhl31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl31}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 3, 1 ])

XRuhl32 = Parameter(name = 'XRuhl32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhl32}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 3, 2 ])

XRuhl33 = Parameter(name = 'XRuhl33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhl33}',
                    lhablock = 'FRBlock12',
                    lhacode = [ 3, 3 ])

XRdhl11 = Parameter(name = 'XRdhl11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhl11}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 1, 1 ])

XRdhl12 = Parameter(name = 'XRdhl12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl12}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 1, 2 ])

XRdhl13 = Parameter(name = 'XRdhl13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl13}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 1, 3 ])

XRdhl21 = Parameter(name = 'XRdhl21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl21}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 2, 1 ])

XRdhl22 = Parameter(name = 'XRdhl22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhl22}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 2, 2 ])

XRdhl23 = Parameter(name = 'XRdhl23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl23}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 2, 3 ])

XRdhl31 = Parameter(name = 'XRdhl31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl31}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 3, 1 ])

XRdhl32 = Parameter(name = 'XRdhl32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhl32}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 3, 2 ])

XRdhl33 = Parameter(name = 'XRdhl33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhl33}',
                    lhablock = 'FRBlock13',
                    lhacode = [ 3, 3 ])

XLuhh11 = Parameter(name = 'XLuhh11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhh11}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 1, 1 ])

XLuhh12 = Parameter(name = 'XLuhh12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh12}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 1, 2 ])

XLuhh13 = Parameter(name = 'XLuhh13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh13}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 1, 3 ])

XLuhh21 = Parameter(name = 'XLuhh21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh21}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 2, 1 ])

XLuhh22 = Parameter(name = 'XLuhh22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhh22}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 2, 2 ])

XLuhh23 = Parameter(name = 'XLuhh23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh23}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 2, 3 ])

XLuhh31 = Parameter(name = 'XLuhh31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh31}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 3, 1 ])

XLuhh32 = Parameter(name = 'XLuhh32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLuhh32}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 3, 2 ])

XLuhh33 = Parameter(name = 'XLuhh33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLuhh33}',
                    lhablock = 'FRBlock14',
                    lhacode = [ 3, 3 ])

XLdhh11 = Parameter(name = 'XLdhh11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhh11}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 1, 1 ])

XLdhh12 = Parameter(name = 'XLdhh12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh12}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 1, 2 ])

XLdhh13 = Parameter(name = 'XLdhh13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh13}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 1, 3 ])

XLdhh21 = Parameter(name = 'XLdhh21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh21}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 2, 1 ])

XLdhh22 = Parameter(name = 'XLdhh22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhh22}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 2, 2 ])

XLdhh23 = Parameter(name = 'XLdhh23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh23}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 2, 3 ])

XLdhh31 = Parameter(name = 'XLdhh31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh31}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 3, 1 ])

XLdhh32 = Parameter(name = 'XLdhh32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdhh32}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 3, 2 ])

XLdhh33 = Parameter(name = 'XLdhh33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdhh33}',
                    lhablock = 'FRBlock15',
                    lhacode = [ 3, 3 ])

XRuhh11 = Parameter(name = 'XRuhh11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhh11}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 1, 1 ])

XRuhh12 = Parameter(name = 'XRuhh12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh12}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 1, 2 ])

XRuhh13 = Parameter(name = 'XRuhh13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh13}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 1, 3 ])

XRuhh21 = Parameter(name = 'XRuhh21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh21}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 2, 1 ])

XRuhh22 = Parameter(name = 'XRuhh22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhh22}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 2, 2 ])

XRuhh23 = Parameter(name = 'XRuhh23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh23}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 2, 3 ])

XRuhh31 = Parameter(name = 'XRuhh31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh31}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 3, 1 ])

XRuhh32 = Parameter(name = 'XRuhh32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRuhh32}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 3, 2 ])

XRuhh33 = Parameter(name = 'XRuhh33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRuhh33}',
                    lhablock = 'FRBlock16',
                    lhacode = [ 3, 3 ])

XRdhh11 = Parameter(name = 'XRdhh11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhh11}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 1, 1 ])

XRdhh12 = Parameter(name = 'XRdhh12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh12}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 1, 2 ])

XRdhh13 = Parameter(name = 'XRdhh13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh13}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 1, 3 ])

XRdhh21 = Parameter(name = 'XRdhh21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh21}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 2, 1 ])

XRdhh22 = Parameter(name = 'XRdhh22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhh22}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 2, 2 ])

XRdhh23 = Parameter(name = 'XRdhh23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh23}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 2, 3 ])

XRdhh31 = Parameter(name = 'XRdhh31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh31}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 3, 1 ])

XRdhh32 = Parameter(name = 'XRdhh32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdhh32}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 3, 2 ])

XRdhh33 = Parameter(name = 'XRdhh33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdhh33}',
                    lhablock = 'FRBlock17',
                    lhacode = [ 3, 3 ])

Xuchr11 = Parameter(name = 'Xuchr11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xuchr11}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 1, 1 ])

Xuchr12 = Parameter(name = 'Xuchr12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr12}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 1, 2 ])

Xuchr13 = Parameter(name = 'Xuchr13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr13}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 1, 3 ])

Xuchr21 = Parameter(name = 'Xuchr21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr21}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 2, 1 ])

Xuchr22 = Parameter(name = 'Xuchr22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xuchr22}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 2, 2 ])

Xuchr23 = Parameter(name = 'Xuchr23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr23}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 2, 3 ])

Xuchr31 = Parameter(name = 'Xuchr31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr31}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 3, 1 ])

Xuchr32 = Parameter(name = 'Xuchr32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xuchr32}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 3, 2 ])

Xuchr33 = Parameter(name = 'Xuchr33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xuchr33}',
                    lhablock = 'FRBlock18',
                    lhacode = [ 3, 3 ])

Xdchr11 = Parameter(name = 'Xdchr11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xdchr11}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 1, 1 ])

Xdchr12 = Parameter(name = 'Xdchr12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr12}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 1, 2 ])

Xdchr13 = Parameter(name = 'Xdchr13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr13}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 1, 3 ])

Xdchr21 = Parameter(name = 'Xdchr21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr21}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 2, 1 ])

Xdchr22 = Parameter(name = 'Xdchr22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xdchr22}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 2, 2 ])

Xdchr23 = Parameter(name = 'Xdchr23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr23}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 2, 3 ])

Xdchr31 = Parameter(name = 'Xdchr31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr31}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 3, 1 ])

Xdchr32 = Parameter(name = 'Xdchr32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{Xdchr32}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 3, 2 ])

Xdchr33 = Parameter(name = 'Xdchr33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{Xdchr33}',
                    lhablock = 'FRBlock19',
                    lhacode = [ 3, 3 ])

XLull11 = Parameter(name = 'XLull11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLull11}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 1, 1 ])

XLull12 = Parameter(name = 'XLull12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull12}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 1, 2 ])

XLull13 = Parameter(name = 'XLull13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull13}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 1, 3 ])

XLull21 = Parameter(name = 'XLull21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull21}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 2, 1 ])

XLull22 = Parameter(name = 'XLull22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLull22}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 2, 2 ])

XLull23 = Parameter(name = 'XLull23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull23}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 2, 3 ])

XLull31 = Parameter(name = 'XLull31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull31}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 3, 1 ])

XLull32 = Parameter(name = 'XLull32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLull32}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 3, 2 ])

XLull33 = Parameter(name = 'XLull33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLull33}',
                    lhablock = 'FRBlock6',
                    lhacode = [ 3, 3 ])

XLdll11 = Parameter(name = 'XLdll11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdll11}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 1, 1 ])

XLdll12 = Parameter(name = 'XLdll12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll12}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 1, 2 ])

XLdll13 = Parameter(name = 'XLdll13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll13}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 1, 3 ])

XLdll21 = Parameter(name = 'XLdll21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll21}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 2, 1 ])

XLdll22 = Parameter(name = 'XLdll22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdll22}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 2, 2 ])

XLdll23 = Parameter(name = 'XLdll23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll23}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 2, 3 ])

XLdll31 = Parameter(name = 'XLdll31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll31}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 3, 1 ])

XLdll32 = Parameter(name = 'XLdll32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XLdll32}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 3, 2 ])

XLdll33 = Parameter(name = 'XLdll33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XLdll33}',
                    lhablock = 'FRBlock7',
                    lhacode = [ 3, 3 ])

XRull11 = Parameter(name = 'XRull11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRull11}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 1, 1 ])

XRull12 = Parameter(name = 'XRull12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull12}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 1, 2 ])

XRull13 = Parameter(name = 'XRull13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull13}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 1, 3 ])

XRull21 = Parameter(name = 'XRull21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull21}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 2, 1 ])

XRull22 = Parameter(name = 'XRull22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRull22}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 2, 2 ])

XRull23 = Parameter(name = 'XRull23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull23}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 2, 3 ])

XRull31 = Parameter(name = 'XRull31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull31}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 3, 1 ])

XRull32 = Parameter(name = 'XRull32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRull32}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 3, 2 ])

XRull33 = Parameter(name = 'XRull33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRull33}',
                    lhablock = 'FRBlock8',
                    lhacode = [ 3, 3 ])

XRdll11 = Parameter(name = 'XRdll11',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdll11}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 1, 1 ])

XRdll12 = Parameter(name = 'XRdll12',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll12}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 1, 2 ])

XRdll13 = Parameter(name = 'XRdll13',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll13}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 1, 3 ])

XRdll21 = Parameter(name = 'XRdll21',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll21}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 2, 1 ])

XRdll22 = Parameter(name = 'XRdll22',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdll22}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 2, 2 ])

XRdll23 = Parameter(name = 'XRdll23',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll23}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 2, 3 ])

XRdll31 = Parameter(name = 'XRdll31',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll31}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 3, 1 ])

XRdll32 = Parameter(name = 'XRdll32',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{XRdll32}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 3, 2 ])

XRdll33 = Parameter(name = 'XRdll33',
                    nature = 'external',
                    type = 'real',
                    value = 1,
                    texname = '\\text{XRdll33}',
                    lhablock = 'FRBlock9',
                    lhacode = [ 3, 3 ])

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.1876,
               texname = '\\text{MZ}',
               lhablock = 'MASS',
               lhacode = [ 23 ])

Me = Parameter(name = 'Me',
               nature = 'external',
               type = 'real',
               value = 0.000511,
               texname = '\\text{Me}',
               lhablock = 'MASS',
               lhacode = [ 11 ])

MM = Parameter(name = 'MM',
               nature = 'external',
               type = 'real',
               value = 0.10566,
               texname = '\\text{MM}',
               lhablock = 'MASS',
               lhacode = [ 13 ])

MTA = Parameter(name = 'MTA',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\\text{MTA}',
                lhablock = 'MASS',
                lhacode = [ 15 ])

MU = Parameter(name = 'MU',
               nature = 'external',
               type = 'real',
               value = 0.00255,
               texname = 'M',
               lhablock = 'MASS',
               lhacode = [ 2 ])

MC = Parameter(name = 'MC',
               nature = 'external',
               type = 'real',
               value = 1.27,
               texname = '\\text{MC}',
               lhablock = 'MASS',
               lhacode = [ 4 ])

MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 172,
               texname = '\\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])

MD = Parameter(name = 'MD',
               nature = 'external',
               type = 'real',
               value = 0.00504,
               texname = '\\text{MD}',
               lhablock = 'MASS',
               lhacode = [ 1 ])

MS = Parameter(name = 'MS',
               nature = 'external',
               type = 'real',
               value = 0.101,
               texname = '\\text{MS}',
               lhablock = 'MASS',
               lhacode = [ 3 ])

MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.7,
               texname = '\\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 120,
               texname = '\\text{MH}',
               lhablock = 'MASS',
               lhacode = [ 25 ])

MUHe = Parameter(name = 'MUHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MUHe}',
                 lhablock = 'MASS',
                 lhacode = [ 992 ])

MCHe = Parameter(name = 'MCHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MCHe}',
                 lhablock = 'MASS',
                 lhacode = [ 994 ])

MTHe = Parameter(name = 'MTHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MTHe}',
                 lhablock = 'MASS',
                 lhacode = [ 996 ])

MDHe = Parameter(name = 'MDHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MDHe}',
                 lhablock = 'MASS',
                 lhacode = [ 991 ])

MSHe = Parameter(name = 'MSHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MSHe}',
                 lhablock = 'MASS',
                 lhacode = [ 993 ])

MBHe = Parameter(name = 'MBHe',
                 nature = 'external',
                 type = 'real',
                 value = 1000,
                 texname = '\\text{MBHe}',
                 lhablock = 'MASS',
                 lhacode = [ 995 ])

mrho = Parameter(name = 'mrho',
                 nature = 'external',
                 type = 'real',
                 value = 2000,
                 texname = '\\text{mrho}',
                 lhablock = 'MASS',
                 lhacode = [ 1999 ])

WZ = Parameter(name = 'WZ',
               nature = 'external',
               type = 'real',
               value = 2.4952,
               texname = '\\text{WZ}',
               lhablock = 'DECAY',
               lhacode = [ 23 ])

WW = Parameter(name = 'WW',
               nature = 'external',
               type = 'real',
               value = 2.085,
               texname = '\\text{WW}',
               lhablock = 'DECAY',
               lhacode = [ 24 ])

WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.50833649,
               texname = '\\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])

WH = Parameter(name = 'WH',
               nature = 'external',
               type = 'real',
               value = 0.00575308848,
               texname = '\\text{WH}',
               lhablock = 'DECAY',
               lhacode = [ 25 ])

WUHe = Parameter(name = 'WUHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WUHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 992 ])

WCHe = Parameter(name = 'WCHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WCHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 994 ])

WTHe = Parameter(name = 'WTHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WTHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 996 ])

WDHe = Parameter(name = 'WDHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WDHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 991 ])

WSHe = Parameter(name = 'WSHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WSHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 993 ])

WBHe = Parameter(name = 'WBHe',
                 nature = 'external',
                 type = 'real',
                 value = 50,
                 texname = '\\text{WBHe}',
                 lhablock = 'DECAY',
                 lhacode = [ 995 ])

wrho = Parameter(name = 'wrho',
                 nature = 'external',
                 type = 'real',
                 value = 100,
                 texname = '\\text{wrho}',
                 lhablock = 'DECAY',
                 lhacode = [ 1999 ])

CKM11 = Parameter(name = 'CKM11',
                  nature = 'internal',
                  type = 'complex',
                  value = 'cmath.cos(cabi)',
                  texname = '\\text{CKM11}')

CKM12 = Parameter(name = 'CKM12',
                  nature = 'internal',
                  type = 'complex',
                  value = 'cmath.sin(cabi)',
                  texname = '\\text{CKM12}')

CKM13 = Parameter(name = 'CKM13',
                  nature = 'internal',
                  type = 'complex',
                  value = '0',
                  texname = '\\text{CKM13}')

CKM21 = Parameter(name = 'CKM21',
                  nature = 'internal',
                  type = 'complex',
                  value = '-cmath.sin(cabi)',
                  texname = '\\text{CKM21}')

CKM22 = Parameter(name = 'CKM22',
                  nature = 'internal',
                  type = 'complex',
                  value = 'cmath.cos(cabi)',
                  texname = '\\text{CKM22}')

CKM23 = Parameter(name = 'CKM23',
                  nature = 'internal',
                  type = 'complex',
                  value = '0',
                  texname = '\\text{CKM23}')

CKM31 = Parameter(name = 'CKM31',
                  nature = 'internal',
                  type = 'complex',
                  value = '0',
                  texname = '\\text{CKM31}')

CKM32 = Parameter(name = 'CKM32',
                  nature = 'internal',
                  type = 'complex',
                  value = '0',
                  texname = '\\text{CKM32}')

CKM33 = Parameter(name = 'CKM33',
                  nature = 'internal',
                  type = 'complex',
                  value = '1',
                  texname = '\\text{CKM33}')

aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\\alpha _{\\text{EW}}')

G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')

g1 = Parameter(name = 'g1',
               nature = 'internal',
               type = 'real',
               value = '1',
               texname = 'g_1')

gw = Parameter(name = 'gw',
               nature = 'internal',
               type = 'real',
               value = '1',
               texname = 'g_w')

MW = Parameter(name = 'MW',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(MZ**2/2. + cmath.sqrt(MZ**4/4. - (aEW*cmath.pi*MZ**2)/(Gf*cmath.sqrt(2))))',
               texname = 'M_W')

ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(aEW)*cmath.sqrt(cmath.pi)',
               texname = 'e')

sw2 = Parameter(name = 'sw2',
                nature = 'internal',
                type = 'real',
                value = '1 - MW**2/MZ**2',
                texname = '\\text{sw2}')

cw = Parameter(name = 'cw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1 - sw2)',
               texname = 'c_w')

sw = Parameter(name = 'sw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(sw2)',
               texname = 's_w')

vev = Parameter(name = 'vev',
                nature = 'internal',
                type = 'real',
                value = '(2*MW*sw)/ee',
                texname = '\\text{vev}')

lam = Parameter(name = 'lam',
                nature = 'internal',
                type = 'real',
                value = 'MH**2/(2.*vev**2)',
                texname = '\\text{lam}')

yb = Parameter(name = 'yb',
               nature = 'internal',
               type = 'real',
               value = '(ymb*cmath.sqrt(2))/vev',
               texname = '\\text{yb}')

yc = Parameter(name = 'yc',
               nature = 'internal',
               type = 'real',
               value = '(ymc*cmath.sqrt(2))/vev',
               texname = '\\text{yc}')

ydo = Parameter(name = 'ydo',
                nature = 'internal',
                type = 'real',
                value = '(ymdo*cmath.sqrt(2))/vev',
                texname = '\\text{ydo}')

ye = Parameter(name = 'ye',
               nature = 'internal',
               type = 'real',
               value = '(yme*cmath.sqrt(2))/vev',
               texname = '\\text{ye}')

ym = Parameter(name = 'ym',
               nature = 'internal',
               type = 'real',
               value = '(ymm*cmath.sqrt(2))/vev',
               texname = '\\text{ym}')

ys = Parameter(name = 'ys',
               nature = 'internal',
               type = 'real',
               value = '(yms*cmath.sqrt(2))/vev',
               texname = '\\text{ys}')

yt = Parameter(name = 'yt',
               nature = 'internal',
               type = 'real',
               value = '(ymt*cmath.sqrt(2))/vev',
               texname = '\\text{yt}')

ytau = Parameter(name = 'ytau',
                 nature = 'internal',
                 type = 'real',
                 value = '(ymtau*cmath.sqrt(2))/vev',
                 texname = '\\text{ytau}')

yup = Parameter(name = 'yup',
                nature = 'internal',
                type = 'real',
                value = '(ymup*cmath.sqrt(2))/vev',
                texname = '\\text{yup}')

muH = Parameter(name = 'muH',
                nature = 'internal',
                type = 'real',
                value = 'cmath.sqrt(lam*vev**2)',
                texname = '\\mu')

I1x11 = Parameter(name = 'I1x11',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ydo*complexconjugate(CKM11)',
                  texname = '\\text{I1x11}')

I1x12 = Parameter(name = 'I1x12',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ydo*complexconjugate(CKM21)',
                  texname = '\\text{I1x12}')

I1x13 = Parameter(name = 'I1x13',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ydo*complexconjugate(CKM31)',
                  texname = '\\text{I1x13}')

I1x21 = Parameter(name = 'I1x21',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ys*complexconjugate(CKM12)',
                  texname = '\\text{I1x21}')

I1x22 = Parameter(name = 'I1x22',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ys*complexconjugate(CKM22)',
                  texname = '\\text{I1x22}')

I1x23 = Parameter(name = 'I1x23',
                  nature = 'internal',
                  type = 'complex',
                  value = 'ys*complexconjugate(CKM32)',
                  texname = '\\text{I1x23}')

I1x31 = Parameter(name = 'I1x31',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yb*complexconjugate(CKM13)',
                  texname = '\\text{I1x31}')

I1x32 = Parameter(name = 'I1x32',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yb*complexconjugate(CKM23)',
                  texname = '\\text{I1x32}')

I1x33 = Parameter(name = 'I1x33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yb*complexconjugate(CKM33)',
                  texname = '\\text{I1x33}')

I2x11 = Parameter(name = 'I2x11',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yup*complexconjugate(CKM11)',
                  texname = '\\text{I2x11}')

I2x12 = Parameter(name = 'I2x12',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yc*complexconjugate(CKM21)',
                  texname = '\\text{I2x12}')

I2x13 = Parameter(name = 'I2x13',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yt*complexconjugate(CKM31)',
                  texname = '\\text{I2x13}')

I2x21 = Parameter(name = 'I2x21',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yup*complexconjugate(CKM12)',
                  texname = '\\text{I2x21}')

I2x22 = Parameter(name = 'I2x22',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yc*complexconjugate(CKM22)',
                  texname = '\\text{I2x22}')

I2x23 = Parameter(name = 'I2x23',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yt*complexconjugate(CKM32)',
                  texname = '\\text{I2x23}')

I2x31 = Parameter(name = 'I2x31',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yup*complexconjugate(CKM13)',
                  texname = '\\text{I2x31}')

I2x32 = Parameter(name = 'I2x32',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yc*complexconjugate(CKM23)',
                  texname = '\\text{I2x32}')

I2x33 = Parameter(name = 'I2x33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yt*complexconjugate(CKM33)',
                  texname = '\\text{I2x33}')

I3x11 = Parameter(name = 'I3x11',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM11*yup',
                  texname = '\\text{I3x11}')

I3x12 = Parameter(name = 'I3x12',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM21*yc',
                  texname = '\\text{I3x12}')

I3x13 = Parameter(name = 'I3x13',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM31*yt',
                  texname = '\\text{I3x13}')

I3x21 = Parameter(name = 'I3x21',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM12*yup',
                  texname = '\\text{I3x21}')

I3x22 = Parameter(name = 'I3x22',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM22*yc',
                  texname = '\\text{I3x22}')

I3x23 = Parameter(name = 'I3x23',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM32*yt',
                  texname = '\\text{I3x23}')

I3x31 = Parameter(name = 'I3x31',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM13*yup',
                  texname = '\\text{I3x31}')

I3x32 = Parameter(name = 'I3x32',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM23*yc',
                  texname = '\\text{I3x32}')

I3x33 = Parameter(name = 'I3x33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM33*yt',
                  texname = '\\text{I3x33}')

I4x11 = Parameter(name = 'I4x11',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM11*ydo',
                  texname = '\\text{I4x11}')

I4x12 = Parameter(name = 'I4x12',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM21*ydo',
                  texname = '\\text{I4x12}')

I4x13 = Parameter(name = 'I4x13',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM31*ydo',
                  texname = '\\text{I4x13}')

I4x21 = Parameter(name = 'I4x21',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM12*ys',
                  texname = '\\text{I4x21}')

I4x22 = Parameter(name = 'I4x22',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM22*ys',
                  texname = '\\text{I4x22}')

I4x23 = Parameter(name = 'I4x23',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM32*ys',
                  texname = '\\text{I4x23}')

I4x31 = Parameter(name = 'I4x31',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM13*yb',
                  texname = '\\text{I4x31}')

I4x32 = Parameter(name = 'I4x32',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM23*yb',
                  texname = '\\text{I4x32}')

I4x33 = Parameter(name = 'I4x33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'CKM33*yb',
                  texname = '\\text{I4x33}')

